package org.springblade.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author: lianghanqiang
 * @description: 支付场景
 * @since: 7/29/21 -- 1:56 PM
 */
@AllArgsConstructor
@Getter
public enum PaymentScene {

	/* 扫码支付 */
	SCAN_CODE("scanCode"),


	/* 对公转账 */
	TRANSFER("transfer"),

	/* 充值 */
	RECHARGE("recharge"),

	/* 收款码支付 */
	PAY_CODE("payCode"),

	/* 小程序支付 */
	MINI_PROGRAM("mini_program"),

	/**
	 * 用户提现
	 */
	USER_WITHDRAW("USER_WITHDRAW"),

	/**
	 * 用户积分提现
	 */
	USER_POINT_WITHDRAW("USER_POINT_WITHDRAW"),

	;

	String name;

}
